import { defineUserConfig } from "vuepress";
// import { searchProPlugin } from "vuepress-plugin-search-pro";
import { copyrightPlugin } from "vuepress-plugin-copyright2";
import theme from "./theme.js";

export default defineUserConfig({
  base: "/",

  lang: "zh-CN",
  title: "Blueberry Pi",
  description: "Blueberry Pi",

  theme,

  plugins: [
    // 搜索配置选项
    // searchProPlugin({
    //   // 自动搜索建议
    //   autoSuggestions: true,
    //   // 查询和搜索的历史记录
    //   queryHistoryCount: 5,
    //   resultHistoryCount: 0,
    // }),
    // 版权所有选项
    copyrightPlugin({
      global: true,
      author: "aixiao",
      license: "Apache License 2.0",
      canonical: "https://plugin-copyright2-demo.vuejs.press",
    }),
  ],

  // Enable it with pwa
  // shouldPrefetch: false,
});
