---
title: 系统构建
icon: hammer
order: 3
---

## Linux Kernel
[https://github.com/niuyuling/linux](https://github.com/niuyuling/linux)

## U-BOOT
[https://github.com/niuyuling/u-boot](https://github.com/niuyuling/u-boot)

## 其他Linux发行版
如果想在其他的Linux发行版上进行构建，您需要进行以下额外的工作：

选择您喜欢的Linux发行版，并安装`Docker version 24.0.7`。
确保您的磁盘空间不少于`60G`，内存不少于`2G`。
按照`Docker`安装方法安装`Docker`。
如果选择使用官方的build构建系统，请下载补丁文件`blueberry.patch`
```                       
apt-get -y install git wget
git clone --depth=1 --branch=main https://github.com/armbian/build
wget https://git.aixiao.me/aixiao/Blueberry/raw/branch/master/SF/ArmDebian/blueberry.patch
cd build
git apply ../blueberry.patch # 打补丁
./compile.sh build BOARD=blueberry BRANCH=legacy BUILD_DESKTOP=no BUILD_MINIMAL=yes KERNEL_CONFIGURE=yes RELEASE=bookworm
```
                        
                    
如果使用build构建系统，是官方也非官方(二次修改)：

```
apt-get -y install git
git clone --depth=1 --branch=main https://git.aixiao.me/aixiao/build.git
cd build
./compile.sh build BOARD=blueberry BRANCH=legacy BUILD_DESKTOP=no BUILD_MINIMAL=yes KERNEL_CONFIGURE=yes RELEASE=bookworm
```
